data:extend({
{
    type = "recipe",
    name = "fd-fill-kerosene-canister",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 0.5,
	subgroup = "barrel",
    order = "b[fill-kerosene-canister]",
    ingredients =
    {
      {type="fluid", name="fd-kerosene", amount=5},
	  {type="item", name="fd-canister", amount=1}
    },
    result = "fd-kerosene-canister"
  },
  {
    type = "recipe",
    name = "fd-fill-diesel-canister",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 0.5,
	subgroup = "barrel",
    order = "b[fill-diesel-canister]",
    ingredients =
    {
      {type="fluid", name="fd-diesel", amount=5},
	  {type="item", name="fd-canister", amount=1}
    },
    result = "fd-diesel-canister"
  },
  {
    type = "recipe",
    name = "fd-fill-petrol-canister",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 0.5,
	subgroup = "barrel",
    order = "b[fill-petrol-canister]",
    ingredients =
    {
      {type="fluid", name="fd-petrol", amount=5},
	  {type="item", name="fd-canister", amount=1}
    },
    result = "fd-petrol-canister"
  },
  {
    type = "recipe",
    name = "fd-empty-kerosene-canister",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 0.5,
	subgroup = "barrel",
    order = "c[empty-kerosene-canister]",
    ingredients =
    {
      {type="item", name="fd-kerosene-canister", amount=1}
    },
    results = 
	{
	  {type="fluid", name="fd-kerosene", amount=5},
	  {type="item", name="fd-canister", amount=1}
	},
	icon = "__fractional-distillation__/graphics/canister/empty-kerosene-canister.png"
  },
  {
    type = "recipe",
    name = "fd-empty-diesel-canister",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 0.5,
	subgroup = "barrel",
    order = "c[empty-diesel-canister]",
    ingredients =
    {
      {type="item", name="fd-diesel-canister", amount=1}
    },
    results = 
	{
	  {type="fluid", name="fd-diesel", amount=5},
	  {type="item", name="fd-canister", amount=1}
	},
	icon = "__fractional-distillation__/graphics/canister/empty-diesel-canister.png"
  },
  {
    type = "recipe",
    name = "fd-empty-petrol-canister",
    category = "crafting-with-fluid",
	enabled = false,
    energy_required = 0.5,
	subgroup = "barrel",
    order = "c[empty-petrol-canister]",
    ingredients =
    {
      {type="item", name="fd-petrol-canister", amount=1}
    },
    results = 
	{
	  {type="fluid", name="fd-petrol", amount=5},
	  {type="item", name="fd-canister", amount=1}
    },
	icon = "__fractional-distillation__/graphics/canister/empty-petrol-canister.png"
  }
})

if data.raw["item"]["empty-canister"] then
	data.raw["recipe"]["fd-fill-kerosene-canister"].ingredients[2] = {"empty-canister", 1}
	data.raw["recipe"]["fd-fill-diesel-canister"].ingredients[2] = {"empty-canister", 1}
	data.raw["recipe"]["fd-fill-petrol-canister"].ingredients[2] = {"empty-canister", 1}
	data.raw["recipe"]["fd-empty-kerosene-canister"].results[2] = {"empty-canister", 1}
	data.raw["recipe"]["fd-empty-diesel-canister"].results[2] = {"empty-canister", 1}
	data.raw["recipe"]["fd-empty-petrol-canister"].results[2] = {"empty-canister", 1}
else
	data:extend({
		{
			type = "recipe",
			name = "fd-canister",
			energy_required = 0.5,
			ingredients =
			{
			  {"iron-plate", 1}
			},
			result = "fd-canister",
			result_count = 5,
			enabled = false
		}
	})
end