data:extend({
{
    type = "fluid",
    name = "fd-bitumen",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/bitumen.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[bitumen]",
  },
  {
    type = "fluid",
    name = "fd-fuel-oil",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/fuel-oil.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[fuel-oil]",
  },
  {
    type = "fluid",
    name = "fd-kerosene",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/kerosene.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[kerosene]",
  },
  {
    type = "fluid",
    name = "fd-diesel",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/diesel.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[diesel]",
  },
  {
    type = "fluid",
    name = "fd-naptha",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/naptha.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[naptha]",
  },
  {
    type = "fluid",
    name = "fd-petrol",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/petrol.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[petrol]",
  },
  {
    type = "fluid",
    name = "fd-refinery-gases",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0.4, g=0.6, b=0.4},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__fractional-distillation__/graphics/fluids/refinery-gases.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "f[refinery-gases]",
  }
})