data:extend({
{
    type = "item",
    name = "fd-distillation-column",
    icon = "__fractional-distillation__/graphics/fractional-distillation-column/fractional-distillation-column.png",
    flags = {"goes-to-quickbar"},
    subgroup = "production-machine",
    order = "e[distillation-column]",
    place_result = "fd-distillation-column",
    stack_size = 10
  },
  {
    type = "item",
    name = "fd-raw-iron",
    icon = "__fractional-distillation__/graphics/raw-iron.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "b[raw-iron]",
    stack_size = 100
  },
  {
    type = "item",
    name = "fd-raw-copper",
    icon = "__fractional-distillation__/graphics/raw-copper.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-material",
    order = "b[raw-copper]",
    stack_size = 100
  },
  {
    type = "item",
    name = "fd-road",
    icon = "__fractional-distillation__/graphics/road/road.png",
    flags = {"goes-to-quickbar"},
    subgroup = "terrain",
    order = "a[road]",
    stack_size = 100,
	place_as_tile =
    {
      result = "fd-road",
      condition_size = 4,
      condition = { "water-tile" }
    }
  },
  {
    type = "item",
    name = "fd-canister",
    icon = "__fractional-distillation__/graphics/canister/empty-canister.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "barrel",
    order = "a[empty-canister]",
    stack_size = 10
  },
  {
    type = "item",
    name = "fd-kerosene-canister",
    icon = "__fractional-distillation__/graphics/canister/kerosene-canister.png",
    flags = {"goes-to-main-inventory"},
	fuel_value = "100MJ",
    subgroup = "barrel",
    order = "c[kerosene-canister]",
    stack_size = 10
  },
  {
    type = "item",
    name = "fd-diesel-canister",
    icon = "__fractional-distillation__/graphics/canister/diesel-canister.png",
    flags = {"goes-to-main-inventory"},
	fuel_value = "50MJ",
    subgroup = "barrel",
    order = "c[diesel-canister]",
    stack_size = 10
  },
  {
    type = "item",
    name = "fd-petrol-canister",
    icon = "__fractional-distillation__/graphics/canister/petrol-canister.png",
    flags = {"goes-to-main-inventory"},
	fuel_value = "40MJ",
    subgroup = "barrel",
    order = "c[petrol-canister]",
    stack_size = 10
  }
  })